Package org.apache.wiki.markdown.renderer

## Class JSPWikiNodeRendererFactory

- java.lang.Object
- - org.apache.wiki.markdown.renderer.JSPWikiNodeRendererFactory

All Implemented Interfaces:
  `com.vladsch.flexmark.html.renderer.DelegatingNodeRendererFactory`, `com.vladsch.flexmark.html.renderer.NodeRendererFactory`, `java.util.function.Function<com.vladsch.flexmark.util.data.DataHolder,​com.vladsch.flexmark.html.renderer.NodeRenderer>`

    public class JSPWikiNodeRendererFactory
    extends java.lang.Object
    implements com.vladsch.flexmark.html.renderer.DelegatingNodeRendererFactory

Simple `NodeRendererFactory` to instantiate `JSPWikiLinkRenderer`s.

### Constructor Summary

Constructors
`JSPWikiNodeRendererFactory​(org.apache.wiki.api.core.Context wikiContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.vladsch.flexmark.html.renderer.NodeRenderer` `apply​(com.vladsch.flexmark.util.data.DataHolder options)`
`java.util.Set<java.lang.Class<?>>` `getDelegates()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Constructor Detail

#### JSPWikiNodeRendererFactory

    public JSPWikiNodeRendererFactory​(org.apache.wiki.api.core.Context wikiContext)

### Method Detail

#### apply

    public com.vladsch.flexmark.html.renderer.NodeRenderer apply​(com.vladsch.flexmark.util.data.DataHolder options)

Specified by:
  `apply` in interface `java.util.function.Function<com.vladsch.flexmark.util.data.DataHolder,​com.vladsch.flexmark.html.renderer.NodeRenderer>`
Specified by:
  `apply` in interface `com.vladsch.flexmark.html.renderer.NodeRendererFactory`

#### getDelegates

    public java.util.Set<java.lang.Class<?>> getDelegates()

Specified by:
  `getDelegates` in interface `com.vladsch.flexmark.html.renderer.DelegatingNodeRendererFactory`